Subject: bug#7260: 24.0.50; DEL screwed up

From: Chong Yidong <[email-masked]>
Date: Thu, 21 Oct 2010 15:39:20 -0400

Lars Magne Ingebrigtsen <[email-masked]> writes:

> Richard Stallman <[email-masked]> writes:
>
>> Today I typed DEL after yanking some text and typing C-x C-x to go to
>> the beginning of it.  DEL surprised me by deleting the region.
>
> I think most people now agree that `C-x C-x' shouldn't activate the
> region when transient-mark-mode is switched on, but nobody has actually
> altered that function to stop doing this.
>
> If nobody objects, I'll make that change later tonight.

Bad idea.  If C-x C-x does not enable the mark, it becomes impossible to
exchange point and mark while activating the region.

If you want to return to the mark without reactivating it, do C-u C-SPC.